package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.Jabatan;
import com.jasamedika.medifirst2000.entities.KelompokUser;
import com.jasamedika.medifirst2000.entities.LoginUser;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.entities.Pengendali;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.vo.DetailAnggaranVO;

public interface BaseAnggaranService {

	Pegawai getPegawaiByUserLogin();

	Ruangan getRuanganByUserLogin();

	KelompokUser getKelompokUserLogin();
	
	LoginUser getLoginUser();

	List<Integer> getPengendaliByUserLoginList();
	
	List<Integer> getRuanganByUserLoginList();
	
	Pengendali getPengendaliByUserLogin();

	Jabatan getJabatan();

	Map<String, Object> findDetailSpekAnggaranByParent(String noRec, String parameter, Integer asalProdukId,
			Integer mataAnggaranId);
	
}
